Skip to main content
GET
List users

Query Parameters

startIndex
integer<int32>
default:0

The 1-based index of the first result to return.

count
integer<int32>

The maximum number of results per page (default and maximum 100).

filter
string

An optional SCIM filter expression (RFC 7644 §3.4.2.2). Examples: userName eq "john.doe@example.com" (a specific user); active eq true (enabled users); userName sw "john" (user names starting with "john"); name.familyName eq "Smith".

Response

OK

totalResults
integer<int32>

The total number of results matching the query, across all pages.

itemsPerPage
integer<int32>

The number of results returned in this page.

startIndex
integer<int32>

The 1-based index of the first result in this page.

schemas
string[]

The SCIM schema URIs for this response. Always the SCIM ListResponse schema.

Resources
object[]

The resources returned in this page.